Subject: Re: [PATCH v3] t9001: avoid not portable '\n' with sed

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 10 Jun 2014 08:30:48 +0200

On 06/10/2014 07:55 AM, Junio C Hamano wrote:
> Torsten Bögershausen <[email-masked]> writes:
>
>> t9001 used a '\n' in a sed expression to split one line into two lines,
>> but the usage of '\n' in the "replacement string" is not portable.
> This looks peculiarly familiar; don't I already have it queued?
Yes, V2 is queued and in pu,and only the commit msg is changed
between V2 and V3.

I think that V3 explains the difference between POSIX sed and
gnu sed much better, and does reflect all the comments from
the list, which otherwise may be lost.
And I suspect that not only the sed under Mac OS X does not
handle this very '\n' different from gnu sed, or in other words,
more platforms may not have a gnu sed and may need the fix.